## jsPlumbUtil. EventGenerator

Provides event bind/fire functionality.

#### new EventGenerator()

  Source:
    - util-api.js, line 19

### Methods

#### bind(event, listener)

  Binds a listener to an event.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | String | Name of the event to bind to.
  `listener` | Function | Function to execute.

  Source:
    - util-api.js, line 21

#### cleanupListeners()

  Removes all listeners.

  Source:
    - util-api.js, line 28

#### isSuspendEvents() → {Boolean}

  Source:
    - util-api.js, line 27

  ##### Returns:

  True if events are suspended, false otherwise.

  Type
    Boolean

#### suspendEvents(val)

  Sets whether or not events are suspended.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | Boolean | Whether or not to suspend events.

  Source:
    - util-api.js, line 26

#### unbind(event)

  Clears either all listeners, or listeners for some specific event.

  ##### Parameters:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `event` | String | <optional> | Optional. constrains the clear to just listeners for this event.

  Source:
    - util-api.js, line 25